#!/bin/sh

set -e

# Handle files moved to other packages

for file in gateway.py ircbot.py relay.py; do
    removed_conffile="/etc/fedmsg.d/$file"

    dpkg-maintscript-helper rm_conffile "$removed_conffile" 0.7.6-1~ -- "$@"

    # Move the .dpkg-bak files for the new package to take over if
    # upgrading from an old-enough version

    if test "$1" = "configure" && dpkg --compare-versions "$2" lt '0.7.6-1~' &&
        ! test -e "$removed_conffile" &&
        test -r "$removed_conffile".dpkg-bak; then
        mv "$removed_conffile".dpkg-bak "$removed_conffile"
    fi

done

#DEBHELPER#
